complexType "FxFixingDate"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 8 elements
Defined: | globally in fpml-ird-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | periodMultiplier?, period?, dayType?, businessDayConvention?, (businessCentersReference | businessCenters)?, (dateRelativeToPaymentDates | dateRelativeToCalculationPeriodDates)?
</...>

Content Model Elements (8):

  businessCenters (defined in BusinessCentersOrReference.model group),
  businessCentersReference,
  businessDayConvention (in fxFixingDate),
  dateRelativeToCalculationPeriodDates,
  dateRelativeToPaymentDates,
  dayType (defined in Offset complexType),
  period (defined in Period complexType),
  periodMultiplier (defined in Period complexType)

All Direct / Indirect Based Elements (1):

  fxFixingDate

Known Usage Locations

- As direct type of elements (1):
  fxFixingDate

Annotation
A type that is extending the Offset structure for providing the ability to specify an FX fixing date as an offset to dates specified somewhere else in the document.
Type Definition Detail

Type Derivation Tree Period (extension) Offset (extension) FxFixingDate

XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="FxFixingDate"> <xsd:complexContent> <xsd:extension base="Offset"> <xsd:sequence> <xsd:element minOccurs="0" name="businessDayConvention" type="BusinessDayConventionEnum"/> <xsd:group minOccurs="0" ref="BusinessCentersOrReference.model"/> <xsd:choice minOccurs="0"> <xsd:element name="dateRelativeToPaymentDates" type="DateRelativeToPaymentDates"/> <xsd:element name="dateRelativeToCalculationPeriodDates" type="DateRelativeToCalculationPeriodDates"/> </xsd:choice> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/8)
businessDayConvention

  Type: | BusinessDayConventionEnum, simple content

  The convention for adjusting a date if it would otherwise fall on a day that is not a business day.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "FOLLOWING" | - | The non-business date will be adjusted to the first following day that is a business day See: http://www.FpML.org
  "FRN" | - | Per 2000 ISDA Definitions, Section 4.11. FRN Convention; Eurodollar Convention. See: http://www.FpML.org
  "MODFOLLOWING" | - | The non-business date will be adjusted to the first following day that is a business day unless that day falls in the next calendar month, in which case that date will be the first preceding day that is a business day. See: http://www.FpML.org
  "PRECEDING" | - | The non-business day will be adjusted to the first preceding day that is a business day. See: http://www.FpML.org
  "MODPRECEDING" | - | The non-business date will be adjusted to the first preceding day that is a business day unless that day falls in the previous calendar month, in which case that date will be the first following day that us a business day. See: http://www.FpML.org
  "NEAREST" | - | The non-business date will be adjusted to the nearest day that is a business day - i.e. if the non-business day falls on any day other than a Sunday or a Monday, it will be the first preceding day that is a business day, and will be the first following business day if it falls on a Sunday or a Monday. See: http://www.FpML.org
  "NONE" | - | The date will not be adjusted if it falls on a day that is not a business day. See: http://www.FpML.org
  "NotApplicable" | - | The date adjustments conventions are defined elsewhere, so it is not required to specify them here. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="businessDayConvention" type="BusinessDayConventionEnum"/>

dateRelativeToCalculationPeriodDates

  Type: | DateRelativeToCalculationPeriodDates, complex content

  The calculation period references on which settlements in non-deliverable currency are due and will then have to be converted according to the terms specified through the other parts of the nonDeliverableSettlement structure. Implemented for Brazilian-CDI swaps where it will refer to the termination date of the appropriate leg.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="dateRelativeToCalculationPeriodDates" type="DateRelativeToCalculationPeriodDates"/>

dateRelativeToPaymentDates

  Type: | DateRelativeToPaymentDates, complex content

  The payment date references on which settlements in non-deliverable currency are due and will then have to be converted according to the terms specified through the other parts of the nonDeliverableSettlement structure.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="dateRelativeToPaymentDates" type="DateRelativeToPaymentDates"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.